from __future__ import absolute_import
from .boxplot import BoxPlot
import matplotlib.pylab as plt
from matplotlib.pylab import gcf, gca
if 'nice' in plt.style.available:
    try:
        plt.style.use('nice')
    except IOError:
        pass

def boxplot(axes=None):
    if axes is None:
        axes = gca()

    return BoxPlot(axes)

    return QQPlot(axes)

def show(fig=None):
    from .show import show

    if fig is None:
        fig = gcf()

    show(fig)

if __name__ == '__main__':
    import numpy as np
    random = np.random.RandomState(9823)
    bp = boxplot()
    bp.add(random.randn(100), 'label1')
    bp.add(random.randn(100)+0.1, 'label2')
    bp.add(random.randn(100)-1.5, 'label3')
    bp.add(random.randn(100)-1.5, 'label4')
    bp.add(random.randn(100)-1.5, 'label5')
    bp.add(random.randn(100)-1.5, 'label6')
    bp.add(random.randn(100)-1.5, 'label7')
    bp.add(random.randn(100)-1.5, 'label8')
    bp.add(random.randn(100)-1.5, 'label9')
    bp.add(random.randn(100)-1.5, 'label10')
    bp.add(random.randn(100)-1.5, 'label11')
    bp.add(random.randn(100)-1.5, 'label12')
    bp.add(random.randn(100)-1.5, 'label13')
    bp.add(random.randn(100)-1.5, 'label14')
    bp.add(random.randn(100)-1.5, 'label15')
    bp.add(random.randn(100)-1.5, 'label16')
    bp.add(random.randn(100)-1.5, 'label17')
    bp.legend = True
    bp.plot()
    show()
    # qq = qqplot()
    # qq.add(random.rand(100), 'label1')
    # qq.add(random.rand(100), 'label2')
    # qq.plot()
    # show()
