import os
from limix_util.path import temp_folder

def show(fig, dst_fp=None):
    if dst_fp is None:
        with temp_folder() as folder:
            fout = os.path.join(folder, 'tmp.png')
            fig.savefig(fout, dpi=None, bbox_inches='tight')
            os.system("imgcat " + fout)
    else:
        fig.savefig(dst_fp, dpi=None, bbox_inches='tight')
        os.system("imgcat " + dst_fp)

    fig.clear()
